<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>Objects</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h3 class="sectionHead"><span class="titlemark">5.1</span>&#x00A0;&#x00A0;<a 
 id="x38-370005.1"></a>Objects</h3>
<!--l. 573--><p class="noindent" >Objects are the basic building blocks and smallest unit of data in TextGrid. If you store
something in TextGrid&#x00A0;- be it an XML document, an image, or any other kind of data&#x00A0;-, it
will finally live in one or more objects.
</p><!--l. 575--><p class="noindent" >An object consists of a metadata record (<span 
class="stmary-10x-x-109">&#x2192;</span><a 
href="textgrid-manualch9.html#x53-520009">Metadata Editor<!--tex4ht:ref: metadata-editor --></a>) and some content. Both will be
handled together: When you edit an object&#8217;s contents in an editor, you can always switch to
                                                                                

                                                                                
the metadata editor to modify the object&#8217;s metadata, and the metadata record will be saved
whenever you save the object. You can view and edit mainly descriptive, bibliographic
metadata using the <a 
href="textgrid-manualch9.html#x53-520009">Metadata Editor<!--tex4ht:ref: metadata-editor --></a>, all metadata of an object can be reviewed in a Dialog
opened by &#8220;Show technical metadata&#8221; in the context menu of the object, e.g. in the
<a 
href="textgrid-manualch4.html#x24-230004">Navigator<!--tex4ht:ref: navigator --></a>.
</p><!--l. 577--><p class="noindent" >Each object is identified by an URI in a form like textgrid:74k0.1. The URI is automatically
generated when an object is saved to the repository for the first time. New objects that have
not been saved yet will be identified by a temporary URI. You can copy the URI to the
clipboard using &#8220;Copy URI&#8221; from the object&#8217;s context menu, or you can review it in the
aforementioned &#8220;Show technical metadata&#8221; Dialog.
</p><!--l. 579--><p class="noindent" >Every object has a format or content type: This is a required metadata field that specifies the
(technical) format of the content. Examples are XML and JPEG, but there are also some
special TextGrid-specific content types like <a 
href="textgrid-manualse19.html#x39-380005.2">Aggregations<!--tex4ht:ref: textgrid-objects:aggregation --></a>. Each object lives in exactly one
project. Projects are containers for the user rights management (<span 
class="stmary-10x-x-109">&#x2192;</span><a 
href="textgrid-manualch3.html#x18-170003">Project and User
Management<!--tex4ht:ref: project-and-user-management --></a> for more information). Each TextGrid object is either an <a 
href="textgrid-manualse20.html#x40-390005.3">Items<!--tex4ht:ref: textgrid-objects:item --></a>, an
<a 
href="textgrid-manualse21.html#x41-400005.4">Editions<!--tex4ht:ref: textgrid-objects:edition --></a>, a <a 
href="textgrid-manualse22.html#x42-410005.5">Works<!--tex4ht:ref: textgrid-objects:work --></a> or a <a 
href="textgrid-manualse23.html#x43-420005.6">Collections<!--tex4ht:ref: textgrid-objects:collection --></a>&#x00A0;- these object classes have different metadata and
semantics.
                                                                                

                                                                                
</p>
<!--l. 581--><p class="noindent" ><a 
 id="tailtextgrid-manualse18.html"></a> </p> 
</body></html> 
